API Reference

Detailed and full API reference helps you master Tekla development

This is the most recent version of Tekla Open API.
For older versions, please visit Tekla Warehouse.

BentPlateGeometrySolverAddLeg Method (ConnectiveGeometry, LineSegment, Contour, LineSegment, Double, Double)

Joins a polygon section to this ConnectiveGeometry, using the specified connection points and radius and aperture for the conical connection.

Namespace:  Tekla.Structures.Model
Assembly:  Tekla.Structures.Model (in Tekla.Structures.Model.dll) Version: 2019.1.0.0 (2019.1.0.0)
Syntax
public ConnectiveGeometry AddLeg(
	ConnectiveGeometry geometry,
	LineSegment segment1,
	Contour polygon,
	LineSegment segment2,
	double largestRadius,
	double halfAperture
)

Parameters

geometry
Type: Tekla.Structures.ModelConnectiveGeometry
ConnectiveGeometry used to create a connection with.
segment1
Type: Tekla.Structures.Geometry3dLineSegment
The two connection points on this instance geometry.
polygon
Type: Tekla.Structures.ModelContour
the polygonal contour to add to this geometry
segment2
Type: Tekla.Structures.Geometry3dLineSegment
The two connection points on polygon geometry.
largestRadius
Type: SystemDouble
The specified largest radius for the connecting conical section.
halfAperture
Type: SystemDouble
The angle between the cone generatrix and any of its generator lines.

Return Value

Type: ConnectiveGeometry
Modified ConnectiveGeometry if command succeeded or geometry otherwise.
Exceptions
Exception Condition
ConnectiveGeometryException Thrown if could not create ConnectiveGeometry instance.
ArgumentException Thrown when geometry is a stand-alone bend geometry, meaning that the first GeometrySection is a BendSurfaceNode.
See Also